package m05bSiniestrosEJB;

import java.rmi.RemoteException;

import javax.ejb.EJBObject;

import m05bBD.m05bSiniestros;


/**
 * This is the Remote Interface for the Entity EJB <tt>M05SiniestrosEB</tt>.
 *
 * @see     m05.exe.Siniestros
 * @see     m05.exe.M05SiniestrosEBHome
 * @see     m05.exe.M05SiniestrosEBPK
 * @see     m05.exe.M05SiniestrosEBBean
 */
public interface m05Siniestros extends EJBObject{

  public String getSin_codigo()throws RemoteException;
  public void setSin_codigo(String n)throws RemoteException;

  public String getSin_dni()throws RemoteException;
  public void setSin_dni(String n)throws RemoteException;

  public String getSin_matricula()throws RemoteException;
  public void setSin_matricula(String n)throws RemoteException;

  public String getSin_nombrecc()throws RemoteException;
  public void setSin_nombrecc(String n)throws RemoteException;

  public String getSin_dnicc()throws RemoteException;
  public void setSin_dnicc(String n)throws RemoteException;

  public String getSin_dniacc()throws RemoteException;
  public void setSin_dniacc(String n)throws RemoteException;

  public String getSin_matriculacc()throws RemoteException;
  public void setSin_matriculacc(String n)throws RemoteException;

  public String getSin_nombreacc()throws RemoteException;
  public void setSin_nombreacc(String n)throws RemoteException;

  public String getSin_fecsiniestro()throws RemoteException;
  public void setSin_fecsiniestro(String n)throws RemoteException;

  public String getSin_fecresolucion()throws RemoteException;
  public void setSin_fecresolucion(String n)throws RemoteException;

  public String getSin_peritado()throws RemoteException;
  public void setSin_peritado(String n)throws RemoteException;

  public String getSin_importe()throws RemoteException;
  public void setSin_importe(String n)throws RemoteException;

  public String getSin_nrefaseg()throws RemoteException;
  public void setSin_nrefaseg(String n)throws RemoteException;

  public String getSin_observacion()throws RemoteException;
  public void setSin_observacion(String n)throws RemoteException;

  public String getSin_taller()throws RemoteException;
  public void setSin_taller(String n)throws RemoteException;

  public String getSin_responsable()throws RemoteException;
  public void setSin_responsable(String n)throws RemoteException;

  public String getSin_polizacc()throws RemoteException;
  public void setSin_polizacc(String n)throws RemoteException;

  public String getSin_aseguradoracc()throws RemoteException;
  public void setSin_aseguradoracc(String n)throws RemoteException;

  /**
   * Returns the Seguro information of this E-EJB.
   */
  public m05bSiniestros getSiniestro()
    throws RemoteException;

  /**
   * Sets the Parametro information of this E-EJB.
   * @exception P2GException
   */

}